EndiannessReverserUtil (Lucene 10.5.1 backward-codecs API)
Description: declaration: package: org.apache.lucene.backward_codecs.store, class: EndiannessReverserUtil

Package org.apache.lucene.backward_codecs.store

# Class EndiannessReverserUtil

java.lang.Object
org.apache.lucene.backward_codecs.store.EndiannessReverserUtil

public final class EndiannessReverserUtil extends Object
Utility class to wrap open files

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IndexOutput`
  `createOutput(Directory directory, String name, IOContext context)`
  Open an index output
  `static IndexOutput`
  `createTempOutput(Directory directory, String prefix, String suffix, IOContext context)`
  Open a temp index output
  `static ChecksumIndexInput`
  `openChecksumInput(Directory directory, String name, IOContext context)`
  Open a checksum index input
  `static IndexInput`
  `openInput(Directory directory, String name, IOContext context)`
  Open an index input
  `static DataInput`
  `wrapDataInput(DataInput dataInput)`
  wraps a data input
  `static DataOutput`
  `wrapDataOutput(DataOutput dataOutput)`
  wraps a data output

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### openInput

    public static IndexInput openInput(Directory directory, String name, IOContext context) throws IOException
    Open an index input
    Throws:
      `IOException`

  - ### openChecksumInput

    public static ChecksumIndexInput openChecksumInput(Directory directory, String name, IOContext context) throws IOException
    Open a checksum index input
    Throws:
      `IOException`

  - ### createOutput

    public static IndexOutput createOutput(Directory directory, String name, IOContext context) throws IOException
    Open an index output
    Throws:
      `IOException`

  - ### createTempOutput

    public static IndexOutput createTempOutput(Directory directory, String prefix, String suffix, IOContext context) throws IOException
    Open a temp index output
    Throws:
      `IOException`

  - ### wrapDataOutput

    public static DataOutput wrapDataOutput(DataOutput dataOutput)
    wraps a data output

  - ### wrapDataInput

    public static DataInput wrapDataInput(DataInput dataInput)
    wraps a data input